Subject: bug#48479: 28.0.50; Crash on `read--expression'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 May 2021 16:53:38 +0200

Stefan Monnier <[email-masked]> writes:

>>> Is there any significant advantage of not detecting syntax errors?
>> I don't think I agree that this is a syntax error.
>> What do others think about this?  Lars? Stefan? Richard?

[...]

> I wouldn't bother signaling an error when we interpret the code, but it
> would be good for the byte-compiler to warn about it.

I thought we did warn about this, but some testing now seems to indicate
that we don't?  So then we definitely can't turn this into an error, but
I agree with Stefan that we should issue a warning...  probably.
(Depending on whether there's a lot of code out there on this form or
not.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no